"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  default: () => src_default
});
module.exports = __toCommonJS(src_exports);

// src/util.ts
var import_pathe = require("pathe");
function resolveReplacement(replacement, baseDir = "./") {
  return (0, import_pathe.isAbsolute)(replacement) ? (0, import_pathe.normalize)(replacement) : `${(0, import_pathe.resolve)(baseDir)}/${(0, import_pathe.normalize)(replacement)}`;
}
function resolveAliasArr(aliasArr, baseDir) {
  const resolved = [];
  for (const { find, replacement } of aliasArr) {
    resolved.push({
      find,
      replacement: resolveReplacement(replacement, baseDir)
    });
  }
  return resolved;
}
function resolveAliasMap(aliasMap, baseDir) {
  const resolved = {};
  for (const find of Object.keys(aliasMap)) {
    const replacement = aliasMap[find];
    resolved[find] = resolveReplacement(replacement, baseDir);
  }
  return resolved;
}
function resolveAliases(aliases, baseDir) {
  return Array.isArray(aliases) ? resolveAliasArr(aliases, baseDir) : resolveAliasMap(aliases, baseDir);
}

// src/index.ts
var src_default = (aliases, options) => {
  const { baseDir } = options || {};
  return {
    name: "vite-plugin-easy-resolve-alias",
    config: () => ({
      resolve: {
        alias: resolveAliases(aliases, baseDir)
      }
    })
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
